import Thumbnail from "./thumbnail";
export default class FFmpeg {
    private config;
    private input;
    private path;
    private thumbnail;
    constructor(thumbnail: Thumbnail, ffmpegPath?: string, config?: FFmpegConfig);
    setConfig(config: FFmpegConfig): void;
    setInput(input: string): void;
    setFFmpegPath(path: string): void;
    private testFFmpegPath;
    generateThumbnail(thumbnail?: Thumbnail): Promise<number>;
    private getThumbnailOption;
    private generateArguements;
}
export declare type ffMpegThumbnailOption = "default" | "none";
export interface FFmpegConfig {
    quality: number;
    codec: string;
    time: string;
    filter?: string;
    width: number;
    height: number;
    thumbnailOption?: ffMpegThumbnailOption;
}
