/**
 * This function decodes an s3 url encoded string replacing + with spaces
 * @param {string} key s3 url-encoded string
 * @returns {string} decoded string
 */
export declare const decodeKey: (key: string) => string;
/**
 * This function returns the new filename with the new extension
 * @param {string} key The key/filename of the original file
 * @param {string} type The filetype of the screenshot/thumbnail
 * @returns {string} the new filename with the correct extension
 */
export declare const getNewName: (key: string, type: string) => string;
/**
 * This function gets the filename without an extension
 * @param key The key/filename of the original file
 * @returns {string} filename without any extension
 */
export declare const getFileName: (key: string) => string;
/**
 * This function checks if a filename has a type in the list of allowed extensions
 * @param filename The filename to be checked
 * @param types The array of filetypes/extensions to be checked against
 * @returns {boolean} true if the filename is of the correct type
 */
export declare const isValidType: (filename: string, types: string[]) => boolean;
